petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetResidualHistory

Gets the array used to hold the residual history and the number of residuals it contains.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetResidualHistory(KSP ksp,PetscReal *a[],PetscInt *na)

Not Collective Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameters

| a | - pointer to array to hold history (or NULL) Many br
| na | - number of used entries in a (or NULL) Many br

Many br

### Notes

Can only be called after a KSPSetResidualHistory() otherwise a and na are set to zero Many br

The Fortran version of this routine has a calling sequence Many br

      call KSPGetResidualHistory(KSP ksp, integer na, integer ierr)

note that you have passed a Fortran array into KSPSetResidualHistory() and you need Many brto access the residual values from this Fortran array you provided. Only the na (number of Many brresidual norms currently held) is set. Many br

### Keywords

KSP, get, residual, history, norm

### See Also

KSPGetResidualHistory()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages